#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libdaemon
Version		:	0.14
Release		:	14.4.0.0%{?dist}
Summary		:	Library for writing UNIX daemons.
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/lathiat/avahi

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
'%{name}' is a lightweight C library which eases the writing
of UNIX daemons. It consists of the following parts:

 * A wrapper around fork() which does the correct daemonization
   procedure of a process
 * A wrapper around syslog() for simpler and compatible log output to
   Syslog or STDERR
 * An API for writing PID files
 * An API for serializing UNIX signals into a pipe for usage with
   select() or poll()
 * An API for running subprocesses with STDOUT and STDERR redirected
  to syslog.



%prep
%setup -q

#---------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--disable-static 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install


%files			
%defattr(-,root,root,-)
%doc LICENSE README
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/doc/%{name}/README.html
%{_datadir}/doc/%{name}/style.css

#after upgrade or remove
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
